curl -X GET "https://api.wirebox.sh/api/v1/phone/numbers/eva/messages/msg_01J8DEF789KLM012" \
-H "Authorization: Bearer $WIREBOX_API_KEY"
{
"id": "msg_01J8DEF789KLM012",
"phone_number": "+14155550123",
"agent_handle": "eva",
"direction": "inbound",
"type": "mms",
"from_number": "+12125550199",
"to_numbers": ["+14155550123"],
"text": "Here's the receipt.",
"media": [
{
"content_type": "image/png",
"size_bytes": 84321,
"url": "https://api.wirebox.sh/media/med_01J8DEF555AAA111?exp=1789000000&sig=9f2c..."
}
],
"is_read": false,
"segments": 1,
"created_at": "2026-09-14T14:30:00Z"
}
Phone
Get a Phone Message
Retrieve a single inbound SMS or MMS message.
GET
/
api
/
v1
/
phone
/
numbers
/
{number}
/
messages
/
{message_id}
curl -X GET "https://api.wirebox.sh/api/v1/phone/numbers/eva/messages/msg_01J8DEF789KLM012" \
-H "Authorization: Bearer $WIREBOX_API_KEY"
{
"id": "msg_01J8DEF789KLM012",
"phone_number": "+14155550123",
"agent_handle": "eva",
"direction": "inbound",
"type": "mms",
"from_number": "+12125550199",
"to_numbers": ["+14155550123"],
"text": "Here's the receipt.",
"media": [
{
"content_type": "image/png",
"size_bytes": 84321,
"url": "https://api.wirebox.sh/media/med_01J8DEF555AAA111?exp=1789000000&sig=9f2c..."
}
],
"is_read": false,
"segments": 1,
"created_at": "2026-09-14T14:30:00Z"
}
string
required
Number ID (
pn_...), E.164 phone number, or owning agent handle.string
required
Message ID (
msg_...).curl -X GET "https://api.wirebox.sh/api/v1/phone/numbers/eva/messages/msg_01J8DEF789KLM012" \
-H "Authorization: Bearer $WIREBOX_API_KEY"
{
"id": "msg_01J8DEF789KLM012",
"phone_number": "+14155550123",
"agent_handle": "eva",
"direction": "inbound",
"type": "mms",
"from_number": "+12125550199",
"to_numbers": ["+14155550123"],
"text": "Here's the receipt.",
"media": [
{
"content_type": "image/png",
"size_bytes": 84321,
"url": "https://api.wirebox.sh/media/med_01J8DEF555AAA111?exp=1789000000&sig=9f2c..."
}
],
"is_read": false,
"segments": 1,
"created_at": "2026-09-14T14:30:00Z"
}